


     NOTES(1)	   University of Illinois (May 10, 1986)      NOTES(1)



     NAME
	  notes, autoseq, readnotes - a	news system

     SYNOPSIS
	  notes	[ -sxin	] [ -o date-spec ] [ -a	subsequencer ] [ -t
	  termtype ] [ -f file ] topic1	[ ... ]

	  autoseq [ -a subsequencer ]

	  readnotes [ -a subsequencer ]

     DESCRIPTION
	  Notes	supports computer managed discussion forums.  It
	  coordinates access to	and updates of data bases of notes and
	  their	responses.  A single notesfile contains	an ordered
	  list of base notes, each of which may	have an	ordered	list
	  of responses associated with it.  A note string consists of
	  a base note and all of its responses.	 Separate notesfiles
	  contain discussions on separate subject matters;
	  microcomputers might be discussed in a ``micronotes''
	  notesfile while bicycling enthusiasts	make their comments in
	  a ``bicycle''	notesfile.

	  The -s option	signals	notes to use the automatic sequencer.
	  With the sequencer enabled, notes shows the new notes	and
	  responses since your last entry into that notesfile.	With
	  the sequencer	enabled	by -s the notes	program	will not enter
	  notesfiles which have	no new text.  Specify -x to use	the
	  sequencer and	enter notesfiles even if they have no new
	  text.	 The -i	and -n options are still more sequencing
	  modes, -i is similar to -s but shows the index page instead
	  of the first modified	note.  -n turns	the sequencer off.

	  The -o option	helps users find articles that are vaguely
	  remembered with terms	such as	``some note in the last	3 days
	  in one of several notesfiles''.  These can be	found with a
	  command like:

	       notes -o	"3 days	ago" nf1 nf2 nf3

	  which	sequences past all articles written in notesfiles
	  ``nf1'', ``nf2'', and	``nf3''	in the last 3 days.  The
	  user's timestamps are	not updated.

	  The -a option	specifies a subsequencer.  This	allows several
	  people sharing the same signon to maintain their own
	  sequencer file.  The actual sequencer	name is	generated by
	  concatenating	the user name and the subsequencer name.  It
	  is recommended that subsequencer names be unique within the
	  first	6 characters.

	  Specify -t termtype to override the TERM environment



     Page 1					     (printed 2/25/88)






     NOTES(1)	   University of Illinois (May 10, 1986)      NOTES(1)



	  variable.  This switch is primarily for V6 systems.

	  The -f option	directs	notes to read the contents of a	file
	  for a	list of	notesfiles to scan.  This file and the
	  directories must be readable by the notesfile	user id.

	  The topic list specifies which notesfiles are	to be scanned.
	  The notesfiles are scanned from left to right; upon
	  finishing the	first topic, the second	is entered.  The
	  shell's meta-characters are recognized within	a topic	but
	  must be escaped to prevent shell interpretation.  Specifying
	  ``net.*'' will yield all the notesfiles with the prefix
	  ``net.''.  Specify ``*unix*''	to read	all notesfiles with
	  the string ``unix'' in their names.  Bracket and question
	  mark constructs are also recognized.

	  Notesfile names are parsed such that a notesfile will	be
	  entered only once no matter how many times it	is listed on
	  the command line and in any files specified by the -f
	  option.  Notesfiles can also be excluded by prefixing	their
	  names	with a `!'.  Thus to see all notesfiles	except
	  ``general'', one might type:

	       notes "*" !general


	  The autoseq and readnotes commands allow sequencing through
	  a list of notesfiles with the	sequencer enabled using	with a
	  single command.  Autoseq and Readnotes function identically.
	  They are syntactically equivalent to ``notes -s $NFSEQ''.
	  The environment variable NFSEQ contains a comma separated
	  list of notesfile specifications.  A typical NFSEQ
	  definition for the Bourne shell looks	like:

	  NFSEQ=``general,announce,net.*,bicycle,srg,:/usr/essick/nflist''.

	  Specifications beginning with	a `:' specify a	file to	read
	  for more notesfile names.  In	the previous example, the last
	  specification	reads the contents of the file
	  `/usr/essick/nflist' for more	notesfile specifications.
	  Many of these	can appear in the NFSEQ	variable.

	  Notes	and responses are entered by using an editor. The
	  default editor is ed(1).  This can be	changed	by setting one
	  of the environment variables NFED or EDITOR. Notes looks for
	  NFED before looking for EDITOR, allowing users to use
	  different editors for	writing	notes and for other tools.

	  Some commonly	used commands within the notesfile system are
	  listed below:

	  space	    Show the next page of the note/response.



     Page 2					     (printed 2/25/88)






     NOTES(1)	   University of Illinois (May 10, 1986)      NOTES(1)



	  ;	    Go the next	response, if there are no more
		    responses go to the	next note.

	  -	    Go to the previous page of the current
		    note/response.  From the first page	of a response,
		    go to the previous response	(or the	base note from
		    the	first response).  From the first page of a
		    base note, go to the previous note.

	  newline   Go to the next note.

	  j	    Jump to the	next unread note/response (when	using
		    sequencer).

	  J	    Jump to the	next unread note, ignoring any further
		    responses in the current note string (when using
		    sequencer).

	  w	    When issued	from the index page enters a new note.
		    When entered from a	note/response display enters a
		    response.  A capital-W will	include	the text of
		    the	currently displayed note/response in the new
		    response.

	  q	    Leave the current notesfile.

	  Q	    Leave the current notesfile	without	updating the
		    sequencer information.

	  control-d Return to the shell, ignoring any further
		    notesfiles in the current invocation. No sequencer
		    information	is updated.

	  x	    Search for a note with the (prompted for) string
		    in its title.  Capital-X asks for a	new search
		    string, otherwise the last entered string is used.

	  s	    Saves the currently	displayed note/response	at the
		    end	of a (prompted for) file.  Capital-S saves the
		    entire note	string.

	  M	    Sends the text of the note/response	displayed and
		    your comments  to another user(s).	The P command
		    routes the letter to the author of the
		    note/response.

	  t	    Issues a write(1) command to the author of the
		    currently displayed	note/response.	No action is
		    taken if the note originated on a remote system or
		    is anonymous.

	  !	    Forks a shell.



     Page 3					     (printed 2/25/88)






     NOTES(1)	   University of Illinois (May 10, 1986)      NOTES(1)



	  Only the notesfile owner can create new notesfiles.  The
	  notesfile owner will create the notesfile and	turn control
	  over to the person requesting	the notesfile.	This person is
	  the notesfile	director; he may designate others to also be
	  notesfile directors. The notesfile director has special
	  privileges including:	 deleting any note, determining	policy
	  for the notesfile, permitting	anonymous notes, and
	  determining accessibility of the notesfile.

	  An interface is provided to news(1).	Transfers in both
	  directions are supported.  See newsoutput(8) and the
	  Notesfile Reference Manual for more information on this
	  facility.

	  Facilities for mailing to notesfiles ( nfmail(8) ),
	  networking notesfiles	( nfxmit(8) ), printing	notesfiles (
	  nfprint(1) ),	archiving old notes ( nfarchive(8) ), and
	  several user routines	( nfabort(3) and nfcomment(3) )	exist.

	  The concept of a notesfile was taken from the	PLATO system
	  (a trademark of Control Data Corporation) designed at	the
	  University of	Illinois to provide automated teaching
	  capabilities.

     FILES
	  /etc/passwd				       for the users
						       name
	  /etc/group				       for the users
						       group(s)
	  /etc/termcap				       for terminal
						       capabilites
	  /usr/spool/notes			       the default
						       notesfile data
						       base
	  /usr/spool/notes/.utilities		       utility
						       programs	and
						       online help
	  /usr/spool/notes/.sequencer/user	       Sequencing
						       timestamps for
						       user.
	  /usr/spool/notes/.sequencer/user:subsequencer
						       Sub-sequencing
						       timestamps for
						       user.

     SEE ALSO
	  checknotes(1), ed(1),	mknf(8), news(1), newsoutput(8),
	  nfabort(3), nfaccess(8), nfarchive(8), nfmail(8), nfpipe(1),
	  nfprint(1), nfstats(1), nfxmit(8), nfcomment(3), notes(8),
	  termcap(3), write(1),
	  The Notesfile	Reference Manual




     Page 4					     (printed 2/25/88)






     NOTES(1)	   University of Illinois (May 10, 1986)      NOTES(1)



     AUTHORS
	  Ray Essick (uiucdcs!essick, essick%uiuc@csnet-relay.arpa)
	  Department of	Computer Science
	  University of	Illinois at Urbana-Champaign
	  Urbana, IL

	  Rob Kolstad (kolstad@convex.UUCP)
	  CONVEX Computer Corporation
	  Richardson, TX














































     Page 5					     (printed 2/25/88)



